from tkinter import *
from tkinter import messagebox

# Convert from kilometers
# miles

def convert():
 try:
  val = float(value_entry.get()) 
 except:
  messagebox.showinfo('Error!','Please enter a number!')
  val = 0
 if reverseVar.get() == 0: 
  outputVal.set(val * 0.621371)
 else:
  outputVal.set(val / 0.621371)

# Set up window
window = Tk()
# Title appears in bar
window.title("Distance converter")
# Specify the dimensions of the window in pixels
window.geometry("200x200")

outputVal    = StringVar() 
reverseVar = IntVar()

# Add widgets
title_label    = Label(window,text='Convert from km to miles')
entry_label    = Label(window, text='Enter distance in km')
value_entry    = Entry(window)
result_label   = Label(window,text='Distance in miles')
result_entry   = Label(window, textvariable=outputVal)
convert_button = Button(window, text='Convert',command=convert)
check_button   = Checkbutton(window, text = "Miles to KM", variable = reverseVar, onvalue = 1, offvalue = 0)

# Pack labels into window
title_label.pack()    
entry_label.pack()    
value_entry.pack()
result_label.pack()    
result_entry.pack()    
convert_button.pack()
check_button.pack()

window.mainloop()

